org.apache.fop.fonts.substitute

## Class AttributeValue

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - org.apache.fop.fonts.substitute.AttributeValue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

      public class AttributeValue
      extends java.util.ArrayList

  Encapsulates a font attribute value
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeValue()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AttributeValue` | `valueOf(java.lang.String valuesString)` Returns an `AttributeValue` object holding the value of the specified `String`.

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### AttributeValue

          public AttributeValue()

  - ### Method Detail

    - #### valueOf

          public static AttributeValue valueOf(java.lang.String valuesString)

      Returns an `AttributeValue` object holding the value of the specified `String`.
      Parameters:
        `valuesString` - the value to be parsed
      Returns:
        an `AttributeValue` object holding the value represented by the string argument.

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.